# Generated by Django 3.2 on 2021-05-16 14:42

from django.db import migrations, models
import django.db.models.deletion
import purchases.models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('shops', '0002_auto_20210509_2146'),
        ('products', '0002_alter_productmodel_value'),
        ('users', '0008_auto_20210509_2027'),
    ]

    operations = [
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('transaction_datetime', models.DateTimeField(auto_now_add=True)),
                ('check_amount', models.FloatField(blank=True, default=0.0)),
                ('check_discount', models.FloatField(blank=True, default=0.0)),
                ('purchases', models.JSONField(blank=True, default=purchases.models.default_check_purchases_list)),
                ('shop_id', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.SET_DEFAULT, to='shops.shop')),
                ('user_id', models.ForeignKey(default='unidentifed', on_delete=django.db.models.deletion.SET_DEFAULT, to='users.user')),
            ],
        ),
        migrations.CreateModel(
            name='Purchase',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('product_count', models.FloatField(default=0.0)),
                ('amount', models.FloatField(default=0.0)),
                ('is_promotion', models.BooleanField(blank=True, default=False)),
                ('discount', models.FloatField(blank=True, default=0.0)),
                ('product_id', models.ForeignKey(default='undefined', on_delete=django.db.models.deletion.SET_DEFAULT, to='products.productmodel')),
                ('transaction', models.ForeignKey(default='', null=True, on_delete=django.db.models.deletion.SET_NULL, to='purchases.transaction')),
            ],
        ),
    ]
